summaryrefslogtreecommitdiff
path: root/tests/dd/misc
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dd/misc')
-rwxr-xr-xtests/dd/misc5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/dd/misc b/tests/dd/misc
index 76183b3f8..917258236 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -2,7 +2,7 @@
# Ensure dd treats `--' properly.
# Also test some flag values.
-# Copyright (C) 1999, 2004-2007 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2004-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -82,4 +82,5 @@ outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 2>/dev/null | wc -c`
test "$outbytes" -eq 3 || fail=1
test $fail -eq 0 && fail=$warn
-exit $fail
+
+(exit $fail); exit $fail